# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="6"
MY_PN="devscripts"

inherit eutils

DESCRIPTION="geos_one loved tools"
HOMEPAGE="http://linamh.disconnected-by-peer.at"
SRC_URI_BASE="mirror://debian/pool/main/${MY_PN:0:1}/${MY_PN}/"
SRC_URI="${SRC_URI_BASE}${MY_PN}_${PV}.tar.xz"

SLOT="0"
LICENSE="GPL-2 GPL-3 BSD"
KEYWORDS="~amd64 ~arm ~x86"
RESTRICT="mirror"

IUSE=""

DEPEND=""
RDEPEND="dev-lang/ruby
	virtual/perl-JSON-PP
	app-arch/dpkg
	app-text/docbook-xsl-stylesheets
	app-portage/portage-utils"

S="${WORKDIR}/${MY_PN}-${PV}"

src_prepare() {
	sed -e "s!/stylesheet/xsl/nwalsh/!/xsl-ns-stylesheets/!g" \
		-e "s!--install-layout=deb!!g" -i $(find -name Makefile)

	eapply_user
}

src_install() {
	emake DESTDIR="${D}" install || die "install fail"
	dodoc README
	rm "${D}"/usr/share/bash-completion/completions/bts
}
