# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=7

DESCRIPTION="Decoder for onlinetvrecorder.com (German)"
HOMEPAGE="http://www.onlinetvrecorder.com/"
SRC_URI="amd64? ( https://www.onlinetvrecorder.com/downloads/otrdecoder-bin-64bit-linux-static-v520.tar.bz2 )
	x86? ( https://www.onlinetvrecorder.com/downloads/otrdecoder-bin-32bit-linux-static-v520.tar.bz2 )
	https://www.onlinetvrecorder.com/downloads/otrdecoder-gui.tar.bz2 "

LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="X"

RDEPEND="X? ( dev-lang/python[tk] )"

RESTRICT="strip"

src_unpack() {
	default
	mv ${PN}-* "${S}" || die
}

src_prepare() {
	default
	sed -i -e "/xml/s:decoderpath:'/usr/share/${PN}':" "${S}"/otrdecoder-gui.ry || die "sed failed"
	#patchelf --replace-needed libavcodec.so.52 libavcodec.so.58 "${S}"/otrdecoder || die "Unable to patch elf"
	#patchelf --replace-needed libavformat.so.52 libavformat.so.58 "${S}"/otrdecoder || die "Unable to patch elf"
	#patchelf --replace-needed libavutil.so.49 libavutil.so.56 "${S}"/otrdecoder || die "Unable to patch elf"
}

src_install() {
	dobin otrdecoder || die "dobin failed"
	if use X; then
		insinto /usr/share/${PN}
		doins decoder.glade || die "doins failed"
		newbin otrdecoder-gui.ry otrdecoder-gui || die "newbin failed"
	fi

	dodoc README.OTR || die "dodoc failed"
}
