# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit db-use eutils

DESCRIPTION="Yet Another Passwd 2 LDIF Converter"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
HOMEPAGE="https://sourceforge.net/projects/yap2lc/"

RDEPEND="berkdb? ( >=sys-libs/db-4 )"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86"
IUSE="berkdb"

src_prepare() {
	epatch "${FILESDIR}"/yap2lc-0.5.9-asneeded-1.patch
}

src_configure() {
	local myconf

	if use berkdb; then
		local db_version
		db_version="$(db_findver sys-libs/db)" || die "Unable to find Berkeley DB version"
		db_version="$(db_ver_to_slot "${db_version}")"
		db_version="${db_version/\./}"
		myconf+=" --with-bdb --with-bdb-lib=/usr/$(get_libdir) --with-bdb-inc=$(db_includedir 2> /dev/null)"
		#sed -i "s!-ldb!-ldb${db_version}!" configure
	else
		myconf+=" --without-bdb"
	fi

	econf ${myconf}
}

src_install() {
	dobin ${PN} || die "dobin failed"
	dodoc CHANGELOG README
	docinto samples
	dodoc samples/*
}

