# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit flag-o-matic toolchain-funcs autotools

DESCRIPTION="Quite Universal Circuit Simulator in Qt5"
HOMEPAGE="http://qucs.sourceforge.net/"
#SRC_URI="mirror://sourceforge/${PN}/${fn}.tar.gz"
SRC_URI="https://github.com/Qucs/qucs/archive/qucs-${PV//_/-}.tar.gz -> qucs-${PV}-source.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"
IUSE="doc"

RDEPEND="dev-qt/qtcore:5
	dev-qt/qtgui:5
	dev-qt/qtsvg:5
	x11-libs/libX11
	sci-electronics/adms"
DEPEND="${RDEPEND}
	doc? ( sci-mathematics/octave )"

S=${WORKDIR}/qucs-qucs-${PV//_/-}

src_prepare() {
	default
	./bootstrap
}

src_configure() {
	local myeconfargs=(
		--enable-maintainer-mode
	)

	econf $myeconfargs $(use_enable doc)	# https://github.com/Qucs/qucs/issues/582
}
