# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils linux-mod git-2

DESCRIPTION="Standard tux3 filesystem"
HOMEPAGE="http://tux3.org/"
EGIT_REPO_URI="git://github.com/OGAWAHirofumi/tux3.git"
EGIT_BRANCH="temp-atomic-commit"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND="${DEPEND}"
DEPEND=""

pkg_setup()
{
	linux-mod_pkg_setup

	BUILD_TARGETS="all"
	BUILD_PARAMS="KERNELDIR=${KV_OUT_DIR}"
	MODULE_NAMES="tux3(fs:${S}/user/kernel)"

	if ! kernel_is gt 2 6 26; then
		eerror "Need a >=2.6.27 kernel to compile against!"
		die "Need a >=2.6.27 kernel to compile against!"
	fi
}

src_install()
{
	linux-mod_src_install
}

pkg_postinst() {
	linux-mod_pkg_postinst

	ewarn "WARNING: tux3 is under heavy development and is not suitable for"
	ewarn "         any uses other than benchmarking and review."
	ewarn "         The tux3 disk format is not yet finalized."
	ewarn
	ewarn "         Also, it is highly recommended that the versions of"
	ewarn "         tux3 and tux3progs match."
	ewarn
	ewarn "Note: This version is installed from a live ebuild, so the disk"
	ewarn "      format can change from install to install as the upstream"
	ewarn "      source changes."
}
