# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="5"
ETYPE="sources"
K_DEBLOB_AVAILABLE="1"
K_WANT_GENPATCHES=""
K_GENPATCHES_VER=""

GOPATCHES_VER="4"
GOPATCHES="sablink-patches-${PV}-${GOPATCHES_VER}.tar.xz"
GOPATCHES_URI="http://ftp.disconnected-by-peer.at/sablink/sys-kernel/linux-sablink-patches/${GOPATCHES}"

inherit kernel-2
detect_version
detect_arch

KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
HOMEPAGE="http://dev.gentoo.org/~dsd/genpatches http://forge.novell.com/modules/xfmod/project/?apparmor"

DESCRIPTION="Full sources including the Gentoo & Geos One patchset for the ${KV_MAJOR}.${KV_MINOR} kernel tree"

SRC_URI="${KERNEL_URI} ${GOPATCHES_URI}"

UNIPATCH_LIST="${DISTDIR}/${GOPATCHES}"
UNIPATCH_EXCLUDE="1000_patch-${PV}.patch"

src_unpack() {
	kernel-2_src_unpack

	# Comment out EXTRAVERSION added by CK patch:
	sed -i -e 's/\(^EXTRAVERSION :=.*$\)/# \1/' "${S}/Makefile"
	find "${WORKDIR}" -iname "*.orig" -exec rm {} \; 2> /dev/null
}

pkg_postinst() {
	kernel-2_pkg_postinst
	einfo "For more info on this patchset, and how to report problems, see:"
	einfo "${HOMEPAGE}"
	einfo
	einfo "Make sure that your kernel configuration file is set with:"
	einfo " CONFIG_SECURITY=y"
	einfo "         CONFIG_SECURITY_APPARMOR=y"
	einfo "Without these, apparmor will not function."
}
