# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"

inherit webapp eutils

DESCRIPTION="php Directory listing script"
HOMEPAGE="http://www.evoluted.net/community/code/directorylisting.php"
SRC_URI="https://www.evoluted.net/assets/thinktank/wp-content/uploads/2019/12/evoluted-directory-listing-script-5.0.0.zip"

LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND=">=dev-lang/php-7.1"

need_httpd_cgi

S="${WORKDIR}"/Evoluted-Directory-Listing-Script

pkg_setup() {
	webapp_pkg_setup
}

src_prepare() {
	rm -rf .git
	rm -rf *.md
	edos2unix index.php
	#edos2unix dlf/i.php
	#edos2unix dlf/styles.css

	eapply_user
}

src_install() {
	webapp_src_preinst

	insinto "${MY_HTDOCSDIR}"
	doins -r .

	webapp_configfile "${MY_HTDOCSDIR}"/index.php

	webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
	webapp_src_install
}
